# Poco

# class TaskFailedNotification

Library: Foundation
Package: Tasks
Header: Poco/TaskNotification.h

## Description

This notification is posted by the TaskManager for every task that has failed with an exception.

## Inheritance

Direct Base Classes: TaskNotification

All Base Classes: Notification, RefCountedObject, TaskNotification

## Member Summary

Member Functions: reason

Inherited Functions: duplicate, name, referenceCount, release, task

## Constructors

### TaskFailedNotification

TaskFailedNotification(
Task * pTask,
const Exception & exc
);

## Destructor

### ~TaskFailedNotification

~TaskFailedNotification();

## Member Functions

### reason

const Exception & reason() const;